import 'package:flutter/material.dart';

Widget backgroundImageDecoration(ImageProvider img) {
  return Container(
    constraints: const BoxConstraints.expand(),
    decoration: const BoxDecoration(
      color: Colors.white,
    ),
    child: ShaderMask(
      shaderCallback: (rect) => const LinearGradient(
        begin: Alignment.topCenter,
        end: Alignment.bottomCenter,
        colors: [Colors.black, Colors.transparent],
      ).createShader(rect.shift(Offset.fromDirection(90, -500))),
      blendMode: BlendMode.dstIn,
      child: Container(
        alignment: Alignment.topCenter,
        decoration: BoxDecoration(
          image: DecorationImage(
            image: img,
            fit: BoxFit.contain,
            alignment: Alignment.topCenter,
          ),
        ),
      ),
    ),
  );
}
