import 'package:flutter/material.dart';

// Big button represents the big buttons shown on the dashboard. It offers a title and a clicked callback function to be set
Widget bigButton(String title, void Function()? cb) {
  return Container(
    padding: const EdgeInsets.symmetric(horizontal: 40, vertical: 10),
    child: ElevatedButton(
      onPressed: cb,
      style: ElevatedButton.styleFrom(
          shape: const RoundedRectangleBorder(
              borderRadius: BorderRadius.all(Radius.zero))),
      child: Container(
        alignment: Alignment.center,
        height: 50.0,
        padding: const EdgeInsets.all(0),
        child: Text(
          title,
          textAlign: TextAlign.center,
          style: const TextStyle(fontWeight: FontWeight.bold),
        ),
      ),
    ),
  );
}
