import 'package:flutter/material.dart';
import 'package:package_info_plus/package_info_plus.dart';

class BuildInfo extends StatefulWidget {
  const BuildInfo({super.key});

  @override
  State<BuildInfo> createState() => _BuildInfoState();
}

class _BuildInfoState extends State<BuildInfo> {
  PackageInfo? _packageInfo;
  @override
  void initState() {
    getInfo();
    super.initState();
  }

  void getInfo() async {
    var info = await PackageInfo.fromPlatform();
    setState(() => _packageInfo = info);
  }

  @override
  Widget build(BuildContext context) {
    if (_packageInfo == null) {
      return const Text("dev version");
    } else {
      return Text(
        "Compatible SnipeIT: 6.2.3 App: v${_packageInfo!.version}${_packageInfo!.buildNumber != "" ? "+${_packageInfo!.buildNumber}" : ""}",
        style: const TextStyle(fontSize: 10),
      );
    }
  }
}
