import 'package:flutter/material.dart';
import 'package:snipe_scanner/main.dart';

class ManualInput extends StatefulWidget {
  final Function(String) cb;
  const ManualInput({super.key, required this.cb});

  @override
  State<ManualInput> createState() => _ManualInputState();
}

class _ManualInputState extends State<ManualInput> {
  final TextEditingController _tagEditingController =
      TextEditingController(text: service.get('tag_prefix'));
  @override
  void dispose() {
    _tagEditingController.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return Container(
        alignment: Alignment.center,
        margin: const EdgeInsets.symmetric(horizontal: 40),
        child: Row(
          children: [
            Flexible(
                child: TextField(
              onSubmitted: widget.cb,
              decoration: const InputDecoration(labelText: "Tag"),
              keyboardType: TextInputType.number,
              controller: _tagEditingController,
            )),
            Container(
              color: Colors.black12,
              child: IconButton(
                icon: const Icon(Icons.arrow_right_alt),
                tooltip: 'Manual Tag entry',
                onPressed: () => widget.cb(_tagEditingController.text),
              ),
            )
          ],
        ));
  }
}
