import 'package:flutter/material.dart';
import 'package:html_unescape/html_unescape.dart';
import 'package:snipe_scanner/model/asset.dart';

Widget searchItemRow(Asset asset, BuildContext context,
    {Function(Asset asset)? cb}) {
  Size size = MediaQuery.of(context).size;
  return Card(
    child: Column(
      children: [
        Container(
          width: size.width,
          padding: const EdgeInsets.symmetric(vertical: 10),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.start,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              if (asset.image != null)
                Container(
                  padding: const EdgeInsets.only(left: 10),
                  height: 50,
                  width: 50,
                  child: Image(image: NetworkImage(asset.image!)),
                ),
              SizedBox(
                width: asset.image != null ? size.width - 120 : size.width - 70,
                child: Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  children: [
                    Row(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Container(
                              padding:
                                  const EdgeInsets.only(left: 20, bottom: 10),
                              width: 90,
                              child: Column(
                                crossAxisAlignment: CrossAxisAlignment.start,
                                children: [
                                  const Text(
                                    "Tag",
                                    style:
                                        TextStyle(fontWeight: FontWeight.bold),
                                  ),
                                  Text(asset.assetTag!)
                                ],
                              )),
                          Expanded(
                            child: Container(
                                padding:
                                    const EdgeInsets.only(left: 10, bottom: 10),
                                child: Column(
                                  crossAxisAlignment: CrossAxisAlignment.start,
                                  children: [
                                    const Text(
                                      "Name",
                                      style: TextStyle(
                                          fontWeight: FontWeight.bold),
                                    ),
                                    Wrap(
                                      direction: Axis.horizontal,
                                      children: [
                                        Text(HtmlUnescape()
                                            .convert(asset.getShortName()))
                                      ],
                                    )
                                  ],
                                )),
                          )
                        ]),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.start,
                      children: [
                        if (asset.assignedTo != null)
                          Container(
                              padding: const EdgeInsets.only(left: 20),
                              child: Column(
                                crossAxisAlignment: CrossAxisAlignment.start,
                                children: [
                                  const Text(
                                    "Checked out to",
                                    style:
                                        TextStyle(fontWeight: FontWeight.bold),
                                  ),
                                  Text(
                                    HtmlUnescape()
                                        .convert(asset.assignedTo!.name!),
                                  )
                                ],
                              ))
                      ],
                    )
                  ],
                ),
              ),
              if (cb != null)
                Container(
                  width: 50,
                  color: Colors.black12,
                  child: IconButton(
                    icon: const Icon(Icons.arrow_right_alt),
                    tooltip: 'Manual Tag entry',
                    onPressed: () => cb(asset),
                  ),
                )
            ],
          ),
        )
      ],
    ),
  );
}
