import 'package:flutter/material.dart';
import 'package:html_unescape/html_unescape.dart';

class TextRow extends StatelessWidget {
  final String title;
  final String text;
  const TextRow({super.key, required this.title, required this.text});

  @override
  Widget build(BuildContext context) {
    return Row(crossAxisAlignment: CrossAxisAlignment.start, children: [
      Container(
          padding: const EdgeInsets.only(left: 20, bottom: 10),
          width: 130,
          child: Text(title,
              style:
                  const TextStyle(fontSize: 16, fontWeight: FontWeight.bold))),
      Expanded(
          child: Container(
        padding: const EdgeInsets.only(right: 20, bottom: 10),
        child: Text(
          HtmlUnescape().convert(text),
          style: const TextStyle(fontSize: 16),
          textAlign: TextAlign.right,
        ),
      ))
    ]);
  }
}
