import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:snipe_scanner/components/dropdown_search_input.dart';
import 'package:snipe_scanner/model/app_state.dart';
import 'package:snipe_scanner/model/user.dart';
import 'package:snipe_scanner/service/users.dart';

class UserSelector extends StatefulWidget {
  final Function(int) cb;
  const UserSelector({super.key, required this.cb});

  @override
  State<UserSelector> createState() => _UserSelectorState();
}

class _UserSelectorState extends State<UserSelector> {
  int _dst = 0;
  Future<List<User>> _getUsers(String filter) async {
    var token = Provider.of<AppState>(context, listen: false).token;
    return await getUsers(token);
  }

  @override
  void didChangeDependencies() {
    super.didChangeDependencies();
  }

  void _setDst(int? dst) {
    setState(() {
      _dst = dst ?? 0;
    });
  }

  @override
  Widget build(BuildContext context) {
    Size size = MediaQuery.of(context).size;
    return Container(
      padding: const EdgeInsets.symmetric(horizontal: 40),
      child: Row(
        children: [
          Row(children: [
            SizedBox(
                width: size.width - 140,
                child: DropdownSearchInput<User>(
                  cb: _setDst,
                  label: 'Get user details',
                  getItems: _getUsers,
                )),
            Padding(
              padding: const EdgeInsets.only(left: 10),
              child: Container(
                color: Colors.black12,
                child: IconButton(
                  icon: const Icon(Icons.arrow_right_alt),
                  tooltip: 'Select user',
                  onPressed: () => widget.cb(_dst),
                ),
              ),
            )
          ])
        ],
      ),
    );
  }
}
