import 'package:json_annotation/json_annotation.dart';
import 'package:snipe_scanner/model/admin.dart';
import 'package:snipe_scanner/model/assignment.dart';
import 'package:snipe_scanner/model/date.dart';
import 'package:snipe_scanner/model/location.dart';

part 'activity.g.dart';

// This model represents an activity in the history of e.g. an asset

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class Activity {
  Activity(this.id);

  int? id;
  Assignment? item;
  Assignment? target;
  Admin? admin;
  Location? location;
  String? actionType;
  String? note;

  Date? createdAt;
  Date? updatedAt;
  Date? actionDate;

  factory Activity.fromJson(Map<String, dynamic> json) =>
      _$ActivityFromJson(json);
  Map<String, dynamic> toJson() => _$ActivityToJson(this);
}
