import 'package:json_annotation/json_annotation.dart';
import 'package:snipe_scanner/model/asset_model.dart';
import 'package:snipe_scanner/model/assignment.dart';
import 'package:snipe_scanner/model/available_actions.dart';
import 'package:snipe_scanner/model/comparable_with_id.dart';
import 'package:snipe_scanner/model/date.dart';
import 'package:snipe_scanner/model/location.dart';
import 'package:snipe_scanner/model/status_label.dart';

part 'asset.g.dart';

// This model represents an asset

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class Asset implements ComparableWithId {
  Asset(this.id, this.model);

  @override
  int id;
  String? name;
  String? assetTag;
  String? image;
  StatusLabel? statusLabel;
  Assignment? assignedTo;
  Location? location;
  AssetModel model;
  String? notes;
  Date? createdAt;
  Date? updatedAt;
  Date? lastAuditDate;
  Date? lastCheckout;
  AvailableActions? availableActions;

  factory Asset.fromJson(Map<String, dynamic> json) => _$AssetFromJson(json);
  Map<String, dynamic> toJson() => _$AssetToJson(this);

  @override
  String getName() => '${assetTag ?? ''} ${getShortName()}';
  String getShortName() {
    if (name?.isEmpty ?? true) {
      return model.name;
    }
    return name!;
  }

  @override
  bool equals(ComparableWithId other) => id == other.id;
}
