import 'package:json_annotation/json_annotation.dart';
import 'package:snipe_scanner/model/comparable_with_id.dart';

part 'location.g.dart';

// This model represents a location

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(fieldRename: FieldRename.snake, explicitToJson: true)
class Location implements ComparableWithId {
  Location(this.id, this.name);

  @override
  int id;
  String name;

  factory Location.fromJson(Map<String, dynamic> json) =>
      _$LocationFromJson(json);
  Map<String, dynamic> toJson() => _$LocationToJson(this);

  @override
  String getName() => name;
  @override
  bool equals(ComparableWithId other) => id == other.id;
}
