import 'package:json_annotation/json_annotation.dart';
import 'package:snipe_scanner/model/comparable_with_id.dart';
import 'package:snipe_scanner/model/date.dart';

part 'user.g.dart';

// This model represents a user

// AFTER CHANGING THIS RUN "dart run build_runner build" in the package directory.

@JsonSerializable(
    fieldRename: FieldRename.snake, explicitToJson: true, includeIfNull: false)
class User implements ComparableWithId {
  User(
      this.id,
      this.avatar,
      this.name,
      this.firstName,
      this.lastName,
      this.username,
      this.jobtitle,
      this.department,
      this.locale,
      this.email,
      this.notes,
      this.createdAt,
      this.updatedAt,
      this.lastLogin);

  @override
  int id;
  String avatar;
  String name;
  String firstName;
  String lastName;
  String username;
  String? jobtitle;
  String? department;
  String? locale;
  String? email;
  String? notes;
  Date createdAt;
  Date updatedAt;
  Date? lastLogin;

  factory User.fromJson(Map<String, dynamic> json) => _$UserFromJson(json);
  Map<String, dynamic> toJson() => _$UserToJson(this);
  @override
  String getName() => name;
  @override
  bool equals(ComparableWithId other) => id == other.id;
}
