/* 
  Here are all the http requests to handle locations
*/
import 'dart:convert';
import 'dart:io';

import 'package:snipe_scanner/main.dart';
import 'package:http/http.dart' as http;
import 'package:snipe_scanner/model/location.dart';

Future<List<Location>> getLocations(String token, [String search = ""]) async {
  final response = await http.get(
      Uri.parse("${service.get('host')}/api/v1/locations?search=$search"),
      headers: {
        HttpHeaders.authorizationHeader: 'Bearer $token',
        HttpHeaders.contentTypeHeader: 'application/json; charset=UTF-8',
        HttpHeaders.acceptHeader: 'application/json',
      });
  if (response.statusCode != 200) {
    throw Error();
  }
  final responseJson = jsonDecode(utf8.decode(response.bodyBytes));
  List<Location> locations =
      (responseJson["rows"] as List).map((i) => Location.fromJson(i)).toList();

  locations.sort((l, m) {
    return l.name.compareTo(m.name);
  });
  return locations;
}
