import 'package:encrypt/encrypt.dart';

// helper class for the decryption of the api token within the scanner_users.json
class ApiKeyEncryption {
  static String decryptKey(String encrypted, String pin) {
    final key = Key.fromUtf8(padPin(pin));
    final encrypter = Encrypter(AES(key, mode: AESMode.ecb));
    String decrypted = encrypter.decrypt(Encrypted.fromBase64(encrypted),
        iv: IV.fromLength(
            16)); // this is so weak encryption that I hope noone will host this in the public web.
    return decrypted;
  }

  static String padPin(String pin) {
    while (pin.length < 32) {
      pin = '0$pin';
    }
    return pin;
  }
}
