/*
  This file is responsible for playing the audio of successful and failed scans, it needs to be initialized once and offers two simple functions to play the corresponding sound.
*/
import 'dart:developer' as dev;
import 'dart:math';

import 'package:beep_player/beep_player.dart';

BeepFile _success = const BeepFile('assets/audios/success.wav');
// this is a fun element of mattis saying allright, used in 1% of success beeps
BeepFile _allright = const BeepFile('assets/audios/allright.wav');
BeepFile _fail = const BeepFile('assets/audios/fail.wav');
/* 
  initialize the audio players by adding the sound files.
*/
void initAudio() async {
  BeepPlayer.load(_success);
  BeepPlayer.load(_allright);
  BeepPlayer.load(_fail);
}

// Plays the success sound
void playSuccess() {
  var rnd = Random().nextInt(1000);
  dev.log(rnd.toString());
  if (rnd <= 10) {
    BeepPlayer.play(_allright);
    return;
  }
  BeepPlayer.play(_success);
}

// Plays the fail sound
void playFail() {
  BeepPlayer.play(_fail);
}
