/*
  This file initializes the catcher2 logger. It sets the target for exception logging. For debugging purposes it logs simply to the console, in production mode it uses a provider so it can be seen remotely.
*/

import 'package:catcher_2/catcher_2.dart';
import 'package:flutter/widgets.dart';
import 'package:sentry/sentry.dart';

initLogger(Widget? root, GlobalKey<NavigatorState> navigatorKey) {
  // options for the release version
  Catcher2Options releaseOptions = Catcher2Options(DialogReportMode(), [
    SentryHandler(SentryClient(SentryOptions(
        dsn:
            "https://7e8694aba1c0adcacd781c3a95baa8bc@o4506592201867264.ingest.sentry.io/4506592203636736")))
  ]);
  // options in debug mode
  Catcher2Options debugOptions =
      Catcher2Options(DialogReportMode(), [ConsoleHandler()]);

  Catcher2(
      rootWidget: root,
      debugConfig: debugOptions,
      releaseConfig: releaseOptions,
      navigatorKey:
          navigatorKey); // navigator key is needed for the dialog modal to be shown when an error occures, this allows the user to be asked if an error report should be submitted.
}
