// this is largely copied from the zebra datawedge demo https://github.com/ZebraDevs/DataWedge-Flutter-Demo/tree/master/datawedge_flutter

import 'dart:async';
import 'dart:convert';

import 'package:flutter/services.dart';

class ZebraScan {
  static StreamSubscription<dynamic>? _sub;
  static const MethodChannel _methodChannel =
      MethodChannel('com.itcreatesmedia.snipe_scanner/command');
  static const EventChannel _scanChannel =
      EventChannel('com.itcreatesmedia.snipe_scanner/scan');

  static Function(String)? _scanHandler;

  static Future<void> _createProfile(String profileName) async {
    try {
      await _methodChannel.invokeMethod('createDataWedgeProfile', profileName);
    } on PlatformException {
      //  Error invoking Android method
    }
  }

  static void _onScan(event) {
    Map barcodeScan = jsonDecode(event);
    if (_scanHandler != null) {
      _scanHandler!(barcodeScan['scanData']);
    }
  }

  static void init() {
    _createProfile("SnipeITScanner");
    _sub = _scanChannel.receiveBroadcastStream().listen(_onScan);
  }

  static void dispose() {
    if (_sub != null) {
      _sub!.cancel();
    }
  }

  static setScanHandler(Function(String)? fun) {
    _scanHandler = fun;
  }

  static unsetScanHandler(Function(String)? fun) {
    if (_scanHandler == fun) {
      _scanHandler = null;
    }
  }
}
